Product Bundle Groups
Add Market to Bundle Group (Deprecated)
deprecated
Deprecated: Associates a market with the product bundle group by adding it to all store groups within that market. Markets define regional availability for bundles.
PUT
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
bundle-groups
/
{bundle_group_id}
/
markets
/
{market_slug}
Add Market to Bundle Group (Deprecated)
curl --request PUT \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/markets/{market_slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/markets/{market_slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/markets/{market_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/markets/{market_slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/markets/{market_slug}"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.enad.io/api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/markets/{market_slug}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/markets/{market_slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"bundles": [
{
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"compliant": {
"info": [
"<string>"
],
"level": "none"
},
"created_at": "<string>",
"discount_percentage": 123,
"discount_type": "<string>",
"discounts": {},
"id": "<string>",
"rules": [
{
"bundle_id": "<string>",
"discount_percentage": 123,
"discount_type": "<string>",
"discounts": {},
"exclude_discounted_price": true,
"exclude_full_price": true,
"id": "<string>",
"items": [
{
"description": "<string>",
"id": "<string>",
"image_urls": [
"<string>"
],
"product_name": "<string>",
"product_number": "<string>",
"slug": "<string>"
}
],
"quantity": 123,
"tag_conditions": {
"brands": {
"mode": "include",
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"categories": {
"mode": "include",
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"collections": {
"mode": "include",
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"series": {
"mode": "include",
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"tags": {
"mode": "include",
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}
],
"status": "<string>",
"updated_at": "<string>"
}
],
"compliance": {
"info": [
"<string>"
],
"level": "none"
},
"created_at": "<string>",
"description": "<string>",
"end_date": "<string>",
"id": "<string>",
"markets": [
{
"active": true,
"country_codes": [
"<string>"
],
"created_at": "<string>",
"currency_code": "<string>",
"id": "<string>",
"locale": "<string>",
"name": "<string>",
"slug": "<string>",
"store_group_id": "<string>",
"store_group_slug": "<string>",
"updated_at": "<string>"
}
],
"name": "<string>",
"start_date": "<string>",
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>"
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}Authorizations
Management API token, sent as Authorization: Bearer <token>.
Path Parameters
Product bundle group ID
App slug
Team slug
Market slug
⌘I
Add Market to Bundle Group (Deprecated)
curl --request PUT \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/markets/{market_slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/markets/{market_slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/markets/{market_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/markets/{market_slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/markets/{market_slug}"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.enad.io/api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/markets/{market_slug}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/markets/{market_slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"bundles": [
{
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"compliant": {
"info": [
"<string>"
],
"level": "none"
},
"created_at": "<string>",
"discount_percentage": 123,
"discount_type": "<string>",
"discounts": {},
"id": "<string>",
"rules": [
{
"bundle_id": "<string>",
"discount_percentage": 123,
"discount_type": "<string>",
"discounts": {},
"exclude_discounted_price": true,
"exclude_full_price": true,
"id": "<string>",
"items": [
{
"description": "<string>",
"id": "<string>",
"image_urls": [
"<string>"
],
"product_name": "<string>",
"product_number": "<string>",
"slug": "<string>"
}
],
"quantity": 123,
"tag_conditions": {
"brands": {
"mode": "include",
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"categories": {
"mode": "include",
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"collections": {
"mode": "include",
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"series": {
"mode": "include",
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"tags": {
"mode": "include",
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}
],
"status": "<string>",
"updated_at": "<string>"
}
],
"compliance": {
"info": [
"<string>"
],
"level": "none"
},
"created_at": "<string>",
"description": "<string>",
"end_date": "<string>",
"id": "<string>",
"markets": [
{
"active": true,
"country_codes": [
"<string>"
],
"created_at": "<string>",
"currency_code": "<string>",
"id": "<string>",
"locale": "<string>",
"name": "<string>",
"slug": "<string>",
"store_group_id": "<string>",
"store_group_slug": "<string>",
"updated_at": "<string>"
}
],
"name": "<string>",
"start_date": "<string>",
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>"
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}